create table gen_table
(
    table_id          bigint                      not null comment '编号'
        primary key,
    data_name         varchar(200) default ''     null comment '数据源名称',
    table_name        varchar(200) default ''     null comment '表名称',
    table_comment     varchar(500) default ''     null comment '表描述',
    sub_table_name    varchar(64)                 null comment '关联子表的表名',
    sub_table_fk_name varchar(64)                 null comment '子表关联的外键名',
    class_name        varchar(100) default ''     null comment '实体类名称',
    tpl_category      varchar(200) default 'crud' null comment '使用的模板（crud单表操作 tree树表操作）',
    package_name      varchar(100)                null comment '生成包路径',
    module_name       varchar(30)                 null comment '生成模块名',
    business_name     varchar(30)                 null comment '生成业务名',
    function_name     varchar(50)                 null comment '生成功能名',
    function_author   varchar(50)                 null comment '生成功能作者',
    gen_type          char         default '0'    null comment '生成代码方式（0zip压缩包 1自定义路径）',
    gen_path          varchar(200) default '/'    null comment '生成路径（不填默认项目路径）',
    options           varchar(1000)               null comment '其它生成选项',
    create_dept       bigint                      null comment '创建部门',
    create_by         bigint                      null comment '创建者',
    create_time       datetime                    null comment '创建时间',
    update_by         bigint                      null comment '更新者',
    update_time       datetime                    null comment '更新时间',
    remark            varchar(500)                null comment '备注'
)
    comment '代码生成业务表';

INSERT INTO ruoyi.gen_table (table_id, data_name, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_dept, create_by, create_time, update_by, update_time, remark) VALUES (1970296628019105793, 'master', 'ai_mcp', '模型上下文协议', null, null, 'AiMcp', 'crud', 'com.emoon.system', 'system', 'mcp', '模型上下文协议', 'Lion Li', '0', '/', null, 103, 1, '2025-09-23 09:18:17', 1, '2025-09-23 09:18:17', null);
